package com.huiju.estateagents.eContract.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 合同模板 
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaContractTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 合同模板id
     */
    @TableId(value = "contract_template_id", type = IdType.AUTO)
    private Integer contractTemplateId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 合同模板标题
     */
    private String contractTemplateName;

    /**
     * 合同模板地址
     */
    private String contractTemplateAddress;

    /**
     * 状态 1有效0无效-1删除
     */
    private Integer status;

    @TableField(exist = false)
    private List<TaContractTemplate> taContractTemplateList;
}
