package com.huiju.estateagents.redpack.entity;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统账户表 
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaOrgAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 账户ID
     */
    @TableId(value = "account_id", type = IdType.UUID)
    private String accountId;

    /**
     * 组织ID
     */
    private Integer orgId;

    /**
     * 可用余额 单位分
     */
    private Integer availableBalance;

    /**
     * 实际余额 单位分
     */
    private Integer realBalance;

    /**
     * 已消费 单位分
     */
    private Integer purchaseAmount;

    /**
     * 累计退费 单位分
     */
    private Integer totalRefund;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime modifyDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 小程序名称
     */
    private String miniappName;


    /**
     * 充值凭证
     */
    @TableField(exist = false)
    private List<String> certificateList;

    /**
     * 充值金额
     */
    @TableField(exist = false)
    private String rechargeAmount;

    /**
     * 退费金额
     */
    @TableField(exist = false)
    private String refundAmount;

    /**
     * 退款冻结金额
     */
    @TableField(exist = false)
    private Integer refundBlockedAmount;

    /**
     * 代理商名称
     */
    @TableField(exist = false)
    private String channelProxyName;

    /**
     * 总充值金额
     */
    @TableField(exist = false)
    private Integer totalRechargeAmount;

    /**
     * 公司/组织名称
     */
    @TableField(exist = false)
    private String orgName;
}
